package com.lanyuanxiaoyao.service.configuration.entity.yarn;

import java.util.List;
import java.util.Map;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Yarn 部署信息
 *
 * @author lanyuanxiaoyao
 * @date 2024-02-26
 */
@ConfigurationProperties("yarn-cluster")
@Component
public class YarnClusterProperties {
    private String syncClusters = "";
    private String compactionClusters = "";

    public String getSyncClusters() {
        return syncClusters;
    }

    public void setSyncClusters(String syncClusters) {
        this.syncClusters = syncClusters;
    }

    public String getCompactionClusters() {
        return compactionClusters;
    }

    public void setCompactionClusters(String compactionClusters) {
        this.compactionClusters = compactionClusters;
    }
}
